package com.digiwin.athena.app.chatFile.infra.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.digiwin.athena.opt.persistence.domain.BaseMgrEntity;
import com.google.gson.annotations.SerializedName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @auther: zhenggl
 * @date: 2023/9/7
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "cim_chat_file", autoResultMap = true)
public class ChatFileEntity extends BaseMgrEntity<ChatFileEntity> {


    @SerializedName(value = "question")
    private String question;

    @SerializedName(value = "user_id")
    private String userId;

    @SerializedName(value = "question_no")
    private String questionNo;


    @SerializedName(value = "feedback_person")
    private String feedbackPerson;


    @SerializedName(value = "feedback_date")
    private Date feedbackDate;


    @SerializedName(value = "urgency")
    private Integer urgency;


    @SerializedName(value = "question_type")
    private Integer questionType;

    @SerializedName(value = "question_source")
    private Integer questionSource;


    @SerializedName(value = "question_complete_by")
    private String questionCompleteBy;


    @SerializedName(value = "complete_date")
    private Date completeDate;



    @SerializedName(value = "complete_explain")
    private String completeExplain;

    @SerializedName(value = "is_join")
    private Boolean isJoin;

    @SerializedName(value = "tab_status")
    private Integer tabStatus;

}
