package com.digiwin.athena.app.chatFile.provider.impl;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.chatFile.provider.ChatFileEAIService;
import com.digiwin.athena.app.chatFile.service.chatFile.ChatFileUtil;
import com.digiwin.athena.opt.common.eai.service.EAIServiceContext;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @auther: zhenggl
 * @date: 2023/9/7
 */
public class ChatFileEAIServiceImpl implements ChatFileEAIService {


    @Resource
    private EAIServiceContext eaiServiceContext;

    @Override
    public DWEAIResult get(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(ChatFileUtil.CA_CHAT_FILE_INFO_GET,headers,messageBody);
    }

    @Override
    public DWEAIResult create(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(ChatFileUtil.CA_CHAT_FILE_INFO_CREATE,headers,messageBody);
    }

    @Override
    public DWEAIResult update(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(ChatFileUtil.CA_CHAT_FILE_INFO_UPDATE,headers,messageBody);
    }
}
