package com.digiwin.athena.app.infra.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.digiwin.athena.opt.persistence.domain.BaseMgrEntity;
import com.google.gson.annotations.SerializedName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author CR-7
 * create: 2023-09-01 16:12
 * Description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "cim_supplier_contact", autoResultMap = true)
public class SupplierContactEntity extends BaseMgrEntity<SupplierContactEntity> {

    /**
     * 供应商编号
     */
    @SerializedName(value = "supplier_no")
    private String supplierNo;

    /**
     * 供应商名称
     */
    @SerializedName(value = "supplier_name")
    private String supplierName;

    /**
     * 联系人名称
     */
    @SerializedName(value = "contact_name")
    private String contactName;

    /**
     * 联系人邮箱
     */
    @SerializedName(value = "contact_email")
    private String contactEmail;
}
