package com.digiwin.athena.app.infra.repository;

import com.digiwin.athena.app.infra.entity.PurchaseOrderDetailEntity;
import com.digiwin.athena.opt.persistence.repository.BaseRepository;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author lz
 * @description
 * @throws
 * @time 2023/8/29 16:35
 */
public interface PurchaseOrderDetailRepository extends BaseRepository<PurchaseOrderDetailEntity> {

    public void updateAbnormalHandlePlan(@Param("list") List<PurchaseOrderDetailEntity> list);


    /**
     * 请购采购更新
     *
     * @param entityList
     */
    void updateBatch(@Param("list") List<PurchaseOrderDetailEntity> entityList);
}
