/*
 * Author:   DONGSK
 * Datetime: 2023/6/30 19:51
 * Description:
 * History:
 * 作者姓名 --修改时间 --版本号--描述
 */
package com.digiwin.athena.app.provider.impl;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.provider.CpsEAIService;
import com.digiwin.athena.app.service.cps.CpsUtil;
import com.digiwin.athena.opt.common.eai.service.EAIServiceContext;

import javax.annotation.Resource;
import java.util.Map;

/**
 * CpsEAIServiceImpl
 *
 * @author DONGSK 2023/6/30 19:51
 * @since 1.0.0
 */
public class CpsEAIServiceImpl implements CpsEAIService {
    @Resource
    private EAIServiceContext eaiServiceContext;

    @Override
    public DWEAIResult cpsQuestionCreate(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(CpsUtil.CPS_QUESTION_INFO_CREATE, headers, messageBody);
    }

    @Override
    public DWEAIResult cpsQuestionGet(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(CpsUtil.CPS_QUESTION_INFO_GET, headers, messageBody);
    }

    @Override
    public DWEAIResult cpsQuestionUpdate(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(CpsUtil.CPS_QUESTION_INFO_UPDATE, headers, messageBody);
    }
}
