package com.digiwin.athena.app.provider.impl;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.provider.SupplierEAIService;
import com.digiwin.athena.app.service.supplier.SupplierUtil;
import com.digiwin.athena.opt.common.eai.service.EAIServiceContext;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @auther: zhenggl
 * @date: 2023/9/1
 */
public class SupplierEAIServiceImpl implements SupplierEAIService {

    @Resource
    private EAIServiceContext eaiServiceContext;

    @Override
    public DWEAIResult update(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(SupplierUtil.DEMO_ITEM_SUPPLIER_INFO_UPDATE,headers,messageBody);
    }

    @Override
    public DWEAIResult get(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(SupplierUtil.DEMO_ITEM_SUPPLIER_INFO_GET,headers,messageBody);
    }


    @Override
    public DWEAIResult create(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(SupplierUtil.DEMO_ITEM_SUPPLIER_INFO_CREATE,headers,messageBody);
    }

    @Override
    public DWEAIResult delete(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(SupplierUtil.DEMO_ITEM_SUPPLIER_INFO_DELETE,headers,messageBody);
    }
}
