package com.digiwin.athena.app.ptc.provider;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.app.service.DWService;
import com.digiwin.app.service.eai.EAIService;
import com.digiwin.athena.app.ptc.service.managementdetail.LimitManagementDetailUtil;

import java.util.Map;

/**
 * @auther: zhenggl
 * @date: 2023/9/11
 */
public interface LimitManagementDetailEAIService extends DWService {

    @EAIService(id = LimitManagementDetailUtil.LIMIT_MANAGEMENT_DETAIL_GET)
    DWEAIResult get(Map<String, String> headers, String messageBody) throws Exception;

    @EAIService(id = LimitManagementDetailUtil.LIMIT_MANAGEMENT_DETAIL_UPDATE)
    DWEAIResult update(Map<String, String> headers, String messageBody) throws Exception;
}
