package com.digiwin.athena.app.ptc.provider.impl;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.ptc.provider.LimitManagementDetailEAIService;
import com.digiwin.athena.app.ptc.service.managementdetail.LimitManagementDetailUtil;
import com.digiwin.athena.opt.common.eai.service.EAIServiceContext;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @auther: zhenggl
 * @date: 2023/9/11
 */
public class LimitManagementDetailEAIServiceImpl implements LimitManagementDetailEAIService{

    @Resource
    private EAIServiceContext eaiServiceContext;

    @Override
    public DWEAIResult get(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(LimitManagementDetailUtil.LIMIT_MANAGEMENT_DETAIL_GET,headers,messageBody);
    }

    @Override
    public DWEAIResult update(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(LimitManagementDetailUtil.LIMIT_MANAGEMENT_DETAIL_UPDATE,headers,messageBody);
    }
}
