package com.digiwin.athena.app.ptc.provider.impl;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.ptc.provider.PaymentDetailsEAIService;
import com.digiwin.athena.app.ptc.service.paymentdetails.PaymentDetailsUtil;
import com.digiwin.athena.opt.common.eai.service.EAIServiceContext;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @auther: zhenggl
 * @date: 2023/9/11
 */
public class PaymentDetailsEAIServiceImpl implements PaymentDetailsEAIService {
    @Resource
    private EAIServiceContext eaiServiceContext;

    @Override
    public DWEAIResult get(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(PaymentDetailsUtil.RECEIVABLES_GET,headers,messageBody);
    }
}
