package com.digiwin.athena.app.chatFile.provider;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.app.service.DWService;
import com.digiwin.app.service.eai.EAIService;
import com.digiwin.athena.app.chatFile.service.chatFile.ChatFileUtil;

import java.util.Map;

/**
 * @auther: zhenggl
 * @date: 2023/9/7
 */
public interface ChatFileEAIService extends DWService {

    @EAIService(id = ChatFileUtil.CA_CHAT_FILE_INFO_GET)
    DWEAIResult get(Map<String, String> headers, String messageBody) throws Exception;

    @EAIService(id = ChatFileUtil.CA_CHAT_FILE_INFO_CREATE)
    DWEAIResult create(Map<String, String> headers, String messageBody) throws Exception;

    @EAIService(id = ChatFileUtil.CA_CHAT_FILE_INFO_UPDATE)
    DWEAIResult update(Map<String, String> headers, String messageBody) throws Exception;
}
