/*
 * Author:   DONGSK
 * Datetime: 2023/6/30 20:12
 * Description:
 * History:
 * 作者姓名 --修改时间 --版本号--描述
 */
package com.digiwin.athena.app.infra.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.digiwin.athena.opt.persistence.domain.BaseMgrEntity;
import com.google.gson.annotations.SerializedName;
import lombok.Data;

import java.util.Date;

/**
 * CpsQuestionInfo
 *
 * @author DONGSK 2023/6/30 20:12
 * @since 1.0.0
 */
@Data
@TableName(value = "cps_question_info", autoResultMap = true)
public class CpsQuestionInfo extends BaseMgrEntity<CpsQuestionInfo> {
    @SerializedName(value = "defect_type")
    private String defectType;
    @SerializedName(value = "question_location")
    private String questionLocation;
    @SerializedName(value = "question_area")
    private String questionArea;
    @SerializedName(value = "question_time")
    private Date questionTime;
    @SerializedName(value = "question_level")
    private String questionLevel;
    @SerializedName(value = "importance_level")
    private String importanceLevel;
    @SerializedName(value = "times_one_day")
    private Integer timesOneDay;
    @SerializedName(value = "question_information")
    private String questionInformation;
    @SerializedName(value = "responsible_person")
    private String responsiblePerson;
    @SerializedName(value = "responsible_person_name")
    private String responsiblePersonName;
    @SerializedName(value = "containment_measures")
    private String containmentMeasures;
    @SerializedName(value = "root_cause_identification")
    private String rootCauseIdentification;
    @SerializedName(value = "corrective_actions")
    private String correctiveActions;
    @SerializedName(value = "effect_verification")
    private String effectVerification;
    @SerializedName(value = "control_standards")
    private String controlStandards;
    @SerializedName(value = "completion_time")
    private Date completionTime;
    @SerializedName(value = "control_area")
    private String controlArea;
    @SerializedName(value = "knowledge_accumulation")
    private String knowledgeAccumulation;
    @SerializedName(value = "status")
    private Integer status = 0;
    @SerializedName(value = "status1")
    private Integer status1 = 1;
    @SerializedName(value = "status2")
    private Integer status2 = 1;
    @SerializedName(value = "status3")
    private Integer status3 = 1;
    @SerializedName(value = "status4")
    private Integer status4 = 1;
    @SerializedName(value = "status5")
    private Integer status5 = 1;
    @SerializedName(value = "status6")
    private Integer status6 = 1;
    @SerializedName(value = "measures_from")
    private String measuresFrom;
    @SerializedName(value = "accumulation_from")
    private String accumulationFrom;
    private String timestamp;
}
