package com.digiwin.athena.app.infra.repository;

import com.digiwin.athena.app.infra.entity.ItemExecutorEntity;
import com.digiwin.athena.opt.persistence.repository.BaseRepository;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author: xieps
 * @Date: 2023/8/30 14:21
 * @Version 1.0
 * @Description
 */
public interface ItemExecutorRepository extends BaseRepository<ItemExecutorEntity> {

    /**
     * 批量更新
     *
     * @param itemExecutorInfo
     * @param tenantSid
     */
    void updateBatch(@Param("list") List<ItemExecutorEntity> itemExecutorInfo, @Param("tenantSid") long tenantSid);
}
