/*
 * Author:   DONGSK
 * Datetime: 2023/1/29 16:34
 * Description:
 * History:
 * 作者姓名 --修改时间 --版本号--描述
 */
package com.digiwin.athena.app.provider;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.app.service.DWService;
import com.digiwin.app.service.eai.EAIService;
import com.digiwin.athena.app.service.cps.CpsUtil;

import java.util.Map;

/**
 * BasicEAIApiService
 *
 * @author DONGSK 2023/1/29 16:34
 * @since 1.0.0
 */
public interface CpsEAIService extends DWService {


    @EAIService(id = CpsUtil.CPS_QUESTION_INFO_CREATE)
    DWEAIResult cpsQuestionCreate(Map<String, String> headers, String messageBody) throws Exception;

    @EAIService(id = CpsUtil.CPS_QUESTION_INFO_UPDATE)
    DWEAIResult cpsQuestionUpdate(Map<String, String> headers, String messageBody) throws Exception;

    @EAIService(id = CpsUtil.CPS_QUESTION_INFO_GET)
    DWEAIResult cpsQuestionGet(Map<String, String> headers, String messageBody) throws Exception;



}