package com.digiwin.athena.app.provider;

import com.digiwin.app.service.AllowAnonymous;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.app.service.DWService;
import com.digiwin.app.service.eai.EAIService;
import com.digiwin.athena.app.service.purchase.PurchaseUtil;

import java.util.Map;

/**
 * @author lz
 * @description 请购单EAI
 * @throws
 * @time 2023/8/29 16:41
 */
public interface PurchaseDemoEAIService extends DWService {

    @EAIService(id = PurchaseUtil.DEMO_PURCHASE_DEMO_CREATE)
    DWEAIResult create(Map<String, String> headers, String messageBody) throws Exception;

    @EAIService(id = PurchaseUtil.DEMO_PURCHASE_DEMO_GET)
    DWEAIResult get(Map<String, String> headers, String messageBody) throws Exception;

    @EAIService(id = PurchaseUtil.DEMO_PURCHASE_ORDER_ABNORMAL_UPDATE)
    DWEAIResult abnormalUpdate(Map<String, String> headers, String messageBody) throws Exception;


    @EAIService(id = PurchaseUtil.DEMO_PURCHASE_ORDER_UPDATE)
    DWEAIResult purchaseOrderUpdate(Map<String, String> headers, String messageBody) throws Exception;

}
