package com.digiwin.athena.app.provider.impl;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.provider.ItemExecutorEAIService;
import com.digiwin.athena.app.service.executor.ExecutorUtil;
import com.digiwin.athena.opt.common.eai.service.EAIServiceContext;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @Author: xieps
 * @Date: 2023/9/4 10:31
 * @Version 1.0
 * @Description
 */
public class ItemExecutorEAIServiceImpl implements ItemExecutorEAIService {

    @Resource
    private EAIServiceContext eaiServiceContext;


    @Override
    public DWEAIResult itemExecutorInfoCreate(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(ExecutorUtil.DEMO_ITEM_EXECUTOR_INFO_CREATE, headers, messageBody);
    }

    @Override
    public DWEAIResult itemExecutorInfoGet(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(ExecutorUtil.DEMO_ITEM_EXECUTOR_INFO_GET, headers, messageBody);
    }

    @Override
    public DWEAIResult itemExecutorInfoDelete(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(ExecutorUtil.DEMO_ITEM_EXECUTOR_INFO_DELETE, headers, messageBody);
    }

    @Override
    public DWEAIResult itemExecutorInfoUpdate(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(ExecutorUtil.DEMO_ITEM_EXECUTOR_INFO_UPDATE, headers, messageBody);
    }


}
