package com.digiwin.athena.app.service.purchase;

import com.alibaba.fastjson.TypeReference;
import com.digiwin.athena.app.infra.entity.PurchaseOrderDetailEntity;

import java.util.List;

/**
 * @author lz
 * @version 1.0
 * @title Purchase
 * @description 请购单API
 * @create 2023/8/29 16:08
 */
public class PurchaseUtil {

    //创建请购单
    public static final String DEMO_PURCHASE_DEMO_CREATE = "demo.purchase.order.create";

    //查询请购单
    public static final String DEMO_PURCHASE_DEMO_GET = "demo.purchase.order.get";

    //异常排除更新
    public static final String DEMO_PURCHASE_ORDER_ABNORMAL_UPDATE = "demo.purchase.order.abnormal.update";

    public static final TypeReference<List<PurchaseOrderDetailEntity>> LIST_ENTITY_PURCHASE = new TypeReference<List<PurchaseOrderDetailEntity>>() {

    };

    /**
     * 请购单更新
     */
    public static final String DEMO_PURCHASE_ORDER_UPDATE = "demo.purchase.order.update";
}