-- cps_question_info  问题管理
CREATE TABLE `cps_question_info`
(
    `id`                        BIGINT(20) NOT NULL,
    `defect_type`               VARCHAR(520) NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
    `question_location`         VARCHAR(520) NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
    `question_area`             VARCHAR(520) NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
    `question_time`             DATETIME NULL DEFAULT NULL,
    `question_level`            VARCHAR(520) NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
    `importance_level`          VARCHAR(520) NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
    `times_one_day`             VARCHAR(520) NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
    `question_information`      VARCHAR(520) NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
    `responsible_person`        VARCHAR(520) NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
    `containment_measures`      VARCHAR(520) NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
    `root_cause_identification` VARCHAR(520) NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
    `corrective_actions`        VARCHAR(520) NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
    `effect_verification`       VARCHAR(520) NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
    `control_standards`         VARCHAR(520) NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
    `completion_time`           VARCHAR(520) NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
    `control_area`              DATETIME NULL DEFAULT NULL,
    `knowledge_accumulation`    VARCHAR(520) NULL DEFAULT '' COLLATE 'utf8mb4_general_ci',
    `status`                    INT(2) NULL DEFAULT '0' COMMENT '状态',
    `status1`                   INT(2) NULL DEFAULT '0' COMMENT '状态1',
    `status2`                   INT(2) NULL DEFAULT '0' COMMENT '状态2',
    `status3`                   INT(2) NULL DEFAULT '0' COMMENT '状态3',
    `status4`                   INT(2) NULL DEFAULT '0' COMMENT '状态4',
    `status5`                   INT(2) NULL DEFAULT '0' COMMENT '状态5',
    `status6`                   INT(2) NULL DEFAULT '0' COMMENT '状态6',
    `timestamp`                 VARCHAR(20) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
    `tenantsid`                 BIGINT(20) NULL DEFAULT NULL,
    `tenant_id`                 VARCHAR(20) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
    `create_by`                 VARCHAR(50) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
    `create_date`               DATETIME NULL DEFAULT NULL,
    `modified_by`               VARCHAR(50) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
    `modified_date`             DATETIME NULL DEFAULT NULL,
    `version`                   INT(11) NULL DEFAULT NULL,
    `deleted`                   TINYINT(255) NULL DEFAULT NULL,
    PRIMARY KEY (`id`) USING BTREE
) COMMENT='cps_问题追踪'
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;
